GuideLab API

Mark notifications as read

Mark specific notifications or all unread notifications as read for the current user. Provide either an array of notificationIds or set all to true. Available to both labs and clinics.

POST
/notifications/mark-read

Mark specific notifications or all unread notifications as read for the current user. Provide either an array of notificationIds or set all to true. Available to both labs and clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/notifications/mark-read" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}
Empty
Empty